Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Eclipse Installer won't recognize I have Java on my PC(How can I point Eclipse Installer to look at my computer)
Eclipse Installer won't recognize I have Java on my PC [message #1824518] Thu, 16 April 2020 18:31 Go to next message
Matthew Cohen is currently offline Matthew CohenFriend
Messages: 2
Registered: April 2020
Junior Member
When I download Eclipse IDE and run it I get this message from Eclipse: "Unfortunately the Java version needed to run Eclipse Installer couldn't be found on your system. You need the following version or a higher version:"

I am able to compile java and run java files on my pc.

I have the following file directories:

c:\Program Files(x86)\Java\jdk1.8.0_251
c:\Program Files(x86)\Java\jre1.8.0_251

I've pointed to these directories in my environment variable paths. What else might I not have set up correctly?

Thanks for the help.
Re: Eclipse Installer won't recognize I have Java on my PC [message #1824519 is a reply to message #1824518] Thu, 16 April 2020 18:33 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3706
Registered: July 2009
Senior Member

Eclipse has been 64-bit only for some time. Those are 32-bit installations of Java. You'll need 64-bit Java.

Nitin Dahyabhai
Eclipse Web Tools Platform

[Updated on: Thu, 16 April 2020 18:34]

Report message to a moderator

Re: Eclipse Installer won't recognize I have Java on my PC [message #1824526 is a reply to message #1824519] Thu, 16 April 2020 21:29 Go to previous message
Matthew Cohen is currently offline Matthew CohenFriend
Messages: 2
Registered: April 2020
Junior Member
Thank you friend
Previous Topic:Eclipse not starting getting an error message
Next Topic:Fonts in Eclipse
Goto Forum:
  


Current Time: Tue May 26 13:58:36 GMT 2020

Powered by FUDForum. Page generated in 0.03228 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top